thread.h File Reference

## Classes

class | Thread
| This class implements an approximation of java.util.Thread. More...

## Namespaces

| log4cxx
| log4cxx::helpers
| We need to double some logic from LOG4CXX_PTR_DEF or else we are unable to override the comparison operator, which we need to properly fix LOGCXX-394.
| log4cxx::helpers::ThreadLaunch

## Macros

#define | LOG4CXX_THREAD_FUNC

## Typedefs

typedef struct apr_thread_t | apr_thread_t
typedef struct apr_thread_cond_t | apr_thread_cond_t
typedef struct apr_thread_mutex_t | apr_thread_mutex_t
typedef void *(* | Runnable) (apr_thread_t *thread, void *data)

## Functions

void * | launcher (apr_thread_t *thread, void *data)

## Macro Definition Documentation

#define LOG4CXX_THREAD_FUNC

## Typedef Documentation

typedef struct apr_thread_cond_t apr_thread_cond_t

typedef struct apr_thread_mutex_t apr_thread_mutex_t

typedef struct apr_thread_t apr_thread_t